org.eclipse.microprofile.opentracing.tck.tracer

## Interface ConsumableTree<T>

Type Parameters:
  `T` - The type of data in the tree.

All Known Implementing Classes:
  TestSpanTree, TestSpanTree.TreeNode

    public interface ConsumableTree<T>

Provide a way to visit all the nodes of a tree with a lambda.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitTree(Consumer<? super T> visitor)` Recursively visit all nodes with the lambda.

### Method Detail

#### visitTree

    void visitTree(Consumer<? super T> visitor)

Recursively visit all nodes with the lambda.

Parameters:
  `visitor` - Lambda